Description

In version 1.8.1 installed from RPM when attempting to create a new CMware compute resource I receive the following error when

clicking the "Load DataCenter" button

Unable to save

wrong number of arguments(1 for 0)

here is the sanatized output of the attempt from the production.log with debug turned on

Started PUT "/compute_resources/test_connection" for 10.54.24.70 at 2015-06-15 20:33:34 +0000

2015-06-15 20:33:34 [I] Processing by ComputeResourcesController#test_connection as /*

2015-06-15 20:33:34 [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"XXXXX=",

"compute_resource"=>{"name"=>"test", "provider"=>"Vmware", "description"=>"", "server"=>"vcenter.XXXXX",

"user"=>"XXXXX", "password"=>"[FILTERED]", "set_console_password"=>"[FILTERED]"},

"fakepassword"=>"[FILTERED]", "cr_id"=>"null"}

2015-06-15 20:33:34 [D]   User Load (1.2ms)  SELECT "users". FROM "users" WHERE "users"."id" = $1 LIMIT 1  "id", 4

2015-06-15 20:33:34 [D] Setting current user thread-local variable to XXXX

2015-06-15 20:33:34 [D]   AuthSource Load (1.0ms)  SELECT "auth_sources".* FROM "auth_sources" WHERE "auth_sources"."id"

= 3 LIMIT 1

2015-06-15 20:33:34 [I] CR_ID IS null

2015-06-15 20:33:34 [D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

2015-06-15 20:33:34 [D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

2015-06-15 20:33:34 [D]   ComputeResource Exists (1.0ms)  SELECT 1 AS one FROM "compute_resources" WHERE

"compute_resources"."name" = 'test' LIMIT 1

2015-06-15 20:33:34 [D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

2015-06-15 20:33:34 [D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

2015-06-15 20:33:35 [D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

2015-06-15 20:33:35 [D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

2015-06-15 20:33:35 [I]   Rendered compute_resources/form/_vmware.html.erb (22.8ms)

2015-06-15 20:33:35 [I]   Rendered compute_resources/_form.html.erb (31.2ms)

2015-06-15 20:33:35 [I] Completed 200 OK in 950ms (Views: 33.6ms | ActiveRecord: 3.1ms)

History

#1 - 06/16/2015 04:06 AM - Dominic Cleal

- Subject changed from Unable to create New VMWare compute resources to Error creating VMWare compute resources: wrong number of

arguments(1 for 0)

- Category set to Compute resources - VMware

Unfortunately the log isn't showing the error you showed, could you try capturing the log when you press the Submit button too?

#2 - 06/16/2015 01:31 PM - Dave Nash

I upgraded to 1.8.2 just to be sure and am still seeing the same issue.

https://www.dropbox.com/s/qitrgv2e1cs4v1f/Screenshot%202015-06-16%2010.24.40.png?dl=0
Shows the results of clicking "Load Datacenters"

and this is the debug log output:

Started GET "/compute_resources/provider_selected?provider=Vmware" for 10.54.24.70 at 2015-06-16 17:24:03 +0000

2015-06-16 17:24:03 [I] Processing by ComputeResourcesController#provider_selected as HTML

2015-06-16 17:24:03 [I]   Parameters: {"provider"=>"Vmware"}

2015-06-16 17:24:03 [D]   User Load (1.5ms)  SELECT "users".* FROM "users" WHERE "users"."id" = $1 LIMIT 1  "id", 4

2015-06-16 17:24:03 [D] Setting current user thread-local variable to wdnashii

2015-06-16 17:24:03 [D]   AuthSource Load (1.2ms)  SELECT "auth_sources".* FROM "auth_sources" WHERE "auth_sources"."id" = 3 LIMIT 1

2015-06-16 17:24:03 [I]   Rendered compute_resources/form/_vmware.html.erb (14.1ms)

2015-06-16 17:24:03 [I]   Rendered compute_resources/_form.html.erb (38.6ms)

2015-06-16 17:24:03 [I] Completed 200 OK in 532ms (Views: 54.7ms | ActiveRecord: 7.4ms)

2015-06-16 17:24:17 [I]

Started PUT "/compute_resources/test_connection" for 10.54.24.70 at 2015-06-16 17:24:17 +0000

  2015-06-16 17:24:17 [I] Processing by ComputeResourcesController#test_connection as /*

                                                                                          2015-06-16 17:24:17 

[I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"Gy/wH+hwmWDmLG9JvdEMVAGagz64v4J9Kq1UtlgERyU=", "compute

_resource"=>{"name"=>"test", "provider"=>"Vmware", "description"=>"", "server"=>"vcenter", "user"=>"XXXXX", "p

assword"=>"[FILTERED]", "set_console_password"=>"[FILTERED]"}, "fakepassword"=>"[FILTERED]", "cr_id"=>"null"}

                                                                                          2015-06-16 17:24:17 

[D]   User Load (1.1ms)  SELECT "users". FROM "users" WHERE "users"."id" = $1 LIMIT 1  [["id", 4]]

                                                                                          2015-06-16 17:24:17 

[D] Setting current user thread-local variable to wdnashii

                                                                                          2015-06-16 17:24:17 

[D]   AuthSource Load (1.5ms)  SELECT "auth_sources".* FROM "auth_sources" WHERE "auth_sources"."id" = 3 LIMIT

 1

                                                                                          2015-06-16 17:24:17 

[I] CR_ID IS null

                                                                                          2015-06-16 17:24:17 

[D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

                                                                                          2015-06-16 17:24:17 

[D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

                                                                                          2015-06-16 17:24:17 

[D]   ComputeResource Exists (1.1ms)  SELECT 1 AS one FROM "compute_resources" WHERE "compute_resources"."name

" = 'test' LIMIT 1

                                                                                          2015-06-16 17:24:17 

[D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

                                                                                          2015-06-16 17:24:17 

[D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

                                                                                          2015-06-16 17:24:18 

[D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

                                                                                          2015-06-16 17:24:18 

[D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

                                                                                          2015-06-16 17:24:18 

[I]   Rendered compute_resources/form/_vmware.html.erb (239.0ms)

                                                                                          2015-06-16 17:24:18 

[I]   Rendered compute_resources/_form.html.erb (257.6ms)

                                                                                          2015-06-16 17:24:18 

[I] Completed 200 OK in 1550ms (Views: 262.7ms | ActiveRecord: 4.6ms)

                                                                                          2015-06-16 17:24:21 

[I]

 If I just click submit without trying to Load Datacenters I get the following on the screen

https://www.dropbox.com/s/4bk2255jwznr6uc/Screenshot%202015-06-16%2010.27.03.png?dl=0

And this in the production.log

Started POST "/compute_resources" for 10.54.24.70 at 2015-06-16 17:26:53 +0000

2015-06-16 17:26:53 [I] Processing by ComputeResourcesController#create as HTML

2015-06-16 17:26:53 [I]   Parameters: {"utf8"=>"✓", "authenticity_token"=>"Gy/wH+hwmWDmLG9JvdEMVAGagz64v4J9Kq1UtlgERyU=",

"compute_resource"=>{"name"=>"test", "provider"=>"Vmware", "description"=>"", "server"=>"vcenter", "user"=>"XXXX", "password"=>"[FILTERED]",

"set_console_password"=>"[FILTERED]"}, "commit"=>"Submit"}

2015-06-16 17:26:53 [D]   User Load (0.8ms)  SELECT "users".* FROM "users" WHERE "users"."id" = $1 LIMIT 1  "id", 4

2015-06-16 17:26:53 [D] Setting current user thread-local variable to wdnashii

2015-06-16 17:26:53 [D]   AuthSource Load (1.7ms)  SELECT "auth_sources".* FROM "auth_sources" WHERE "auth_sources"."id" = 3 LIMIT 1

2015-06-16 17:26:53 [D]    (0.4ms)  BEGIN

2015-06-16 17:26:53 [D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

2015-06-16 17:26:53 [D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

2015-06-16 17:26:53 [D]   ComputeResource Exists (0.8ms)  SELECT 1 AS one FROM "compute_resources" WHERE "compute_resources"."name"

= 'test' LIMIT 1

2015-06-16 17:26:53 [D] String does not start with the prefix 'encrypted-', so Foreman::Model::Vmware test was not decrypted

2015-06-16 17:26:53 [D]    (0.4ms)  ROLLBACK

2015-06-16 17:26:53 [I] Failed to save: Datacenter can't be blank

2015-06-16 17:26:53 [I]   Rendered compute_resources/form/_vmware.html.erb (11.8ms)

2015-06-16 17:26:53 [I]   Rendered compute_resources/_form.html.erb (54.8ms)
2015-06-16 17:26:53 [I]   Rendered compute_resources/new.html.erb within layouts/application (55.9ms)

2015-06-16 17:26:53 [I]   Rendered home/_user_dropdown.html.erb (3.3ms)

2015-06-16 17:26:53 [I] Read fragment views/tabs_and_title_records-4 (0.5ms)

2015-06-16 17:26:53 [I]   Rendered home/_topbar.html.erb (5.8ms)

2015-06-16 17:26:53 [I]   Rendered layouts/base.html.erb (13.0ms)

2015-06-16 17:26:53 [I] Completed 200 OK in 131ms (Views: 76.5ms | ActiveRecord: 4.2ms)

#3 - 08/25/2015 01:48 PM - Dave Nash

I am still seeing this issue with 1.9.0 on Centos 6.5.  Any ideas on how to proceed troubleshooting it?

#4 - 08/26/2015 04:04 AM - Daniel Lobato Garcia

What version of VMWare are you trying this on? Can you attach the logs of what happens when you click on 'Load data centers'? It seems that you're

not receiving any data from VMWare as your list is empty, is the connection between Foreman and VMWare ok? (firewall open, selinux, etc...)

#5 - 08/26/2015 04:34 AM - Shlomi Zadok

- Status changed from New to Need more information

I have tested this both on Foreman 1.9 and latest develop and it works for me.

Dave, can you please provide us with additional information?

Can you try to manually connect to the vmware from foreman environment? - this can be achieved by 

https://gist.github.com/shlomizadok/188696ba9d2dcb097834

Thanks

#6 - 08/26/2015 01:52 PM - Dave Nash

When I try the commands in the gist I get the following:

$ foreman-rake console

Loading production environment (Rails 3.2.8)

irb(main):001:0> f = Fog::Compute.new(:provider => "vsphere", :vsphere_username => "XXXX", :vsphere_passwo

rd=> "XXXXX", :vsphere_server => "XXXX", :vsphere_expected_pubkey_hash =>

"XXXXXXX2b5cf9035bdfc929cb9f98139289440853f7b0acaf0ae72646a6")

ArgumentError: wrong number of arguments(1 for 0)

from /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/basic_types.rb:41:in `initial

ize'

from /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/basic_types.rb:41:in `new'

from /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/basic_types.rb:41:in `full_pr

ops_set'

from /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:110:in `bl

ock in traverse_data'

from /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:105:in `ea

ch'

from /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:105:in `tr

averse_data'

from /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/deserialization.rb:88:in `des

erialize'

from /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/connection.rb:68:in `block in

parse_response'

from /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/connection.rb:68:in `map'

from /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/connection.rb:68:in `parse_re

sponse'

from /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/connection.rb:90:in `call'

from /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/basic_types.rb:205:in `_call'

from /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/basic_types.rb:74:in `block (

2 levels) in init'

from /opt/rh/ruby193/root/usr/share/gems/gems/rbvmomi-1.8.2/lib/rbvmomi/vim.rb:68:in `serviceContent'

from /opt/rh/ruby193/root/usr/share/gems/gems/fog-1.32.0/lib/fog/vsphere/compute.rb:411:in `negotiate

_revision'

from /opt/rh/ruby193/root/usr/share/gems/gems/fog-1.32.0/lib/fog/vsphere/compute.rb:394:in `initializ

e'

... 10 levels...

from /opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:200:in `each'

from /opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:200:in `execute'

from /opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:158:in `block in invoke_with_call_chain'

from /opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

from /opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:151:in `invoke_with_call_chain'

from /opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:144:in `invoke'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:116:in `invoke_task'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `block (2 levels) in top_level'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `each'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `block in top_level'
from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:133:in `standard_exception_handling'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:88:in `top_level'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:66:in `block in run'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:133:in `standard_exception_handling'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:63:in `run'

from /opt/rh/ruby193/root/usr/bin/rake:32:in `<main>'irb(main):002:0>

Versions:

foreman-vmware-1.9.0-1.el6.noarch

ruby193-rubygem-rbvmomi-1.8.2-1.el6.noarch

vcenter server 5.1.0  947673

The foreman and vsphere exist in the same subnet so there are no network firewalls between them and no ACL's on the vcenter host.

#7 - 08/28/2015 09:24 AM - Jan Vanmullem

I can confirm this issue.

I'm also running foreman on EL6 (fully upgraded to 6.7) and am facing the exact same problem as Dave.

I was running foreman 1.7.5 until yesterday, but after the upgrade to 1.8 the issue was first introduced and has remained the same after the upgrade

to 1.9.0.

Manually calling flog from the foreman console gives me the exact same error as mentioned above.

Installed versions:

foreman.noarch                        1.9.0-1.el6

foreman-vmware.noarch                 1.9.0-1.el6

ruby193-rubygem-fog.noarch            1.32.0-1.el6

ruby193-rubygem-rbvmomi.noarch        1.8.2-1.el6

vcenter 5.5.0 2175560

#8 - 09/08/2015 12:41 PM - Dave Nash

Is there any additional information I can provide to help with this issue?

#9 - 09/08/2015 04:00 PM - kilian desroches

We have the same problem for version 1.9 of foreman. There he has a track for a fix?

#10 - 09/09/2015 03:12 AM - Dominic Cleal

- Status changed from Need more information to New

#11 - 09/24/2015 08:36 AM - Olivier Cruilles

Hello,

I have the same problem. Do you need more traces, informations or tests ?

#12 - 09/25/2015 11:59 AM - Tommy McNeely

SCREENCAST: https://drive.google.com/a/lark-it.com/file/d/0Bw8r1SqN6Yt_bjl3WGpTNmlrR0k/view

The problem that we had was if the password is invalid or there is any problem with connecting or authentication, the "Load Datacenters" button is 

replaced with "can't be blank" ... which means you are stuck, you can't "Load Datacenters" to select one. The button should not be replaced.

Honestly, it shouldn't even say "can't be blank" unless I attempted to click "Save" without selecting one.

~tommy

#13 - 01/07/2016 05:42 AM - Christian Bryn

By accident I upgraded  from 1.9.1 to 1.9.3, and I hit this bug - ArgumentError: wrong number of arguments(1 for 0)

...so I was unable to List Datacenters, List VMs, create new VMs etc. Looking at the (debug) log I could see the encrypted password string being read

correctly etc (so turning on Debug showed me nothing more). Trying with the foreman-console as explained above gave me the same errors (though

changing the expected pubkey gave a different error - it complained  about mismatch, so  auth was initiated).

After some fiddling around I tried downgrading the foreman packages. Some investigation of package installation logs showed only one rubygem

package being updated. I went ahead with:

yum downgrade foreman\*-1.9.1\*

...and restarted, but the error was the same. I downgraded that one rubygem-bundler package  to the one installed in the foreman  repo (rather than

the one from Epel).

yum downgrade foreman\*-1.9.1\*

Error still the same (so this  step is not necessary I think).

Finally I uninstalled the additional (new) foreman packages that were installed with the upgrade to 1.9.3:
yum remove -y ruby193-rubygem-addressable-2.3.6-1.el6.noarch ruby193-rubygem-extlib-0.9.16-1.el6.noarch

ruby193-rubygem-autoparse-0.3.3-1.el6.noarch ruby193-rubygem-launchy-2.4.3-1.el6.noarch ruby193-rubygem-flot-rails-0.0.3-3.el6.noarch

rhscl-v8314-epel-6-x86_64-1-2.noarch rhscl-ruby193-epel-6-x86_64-1-2.noarch libselinux-python-2.0.94-5.8.el6.x86_64

audit-libs-python-2.3.7-5.el6.x86_64 rubygem-hashie-2.0.5-1.el6.noarch ruby193-rubygem-jquery-turbolinks-2.1.0-1.el6.noarch

ruby193-rubygem-retriable-1.4.1-1.el6.noarch ruby193-rubygem-multi-select-rails-0.9.12-1.el6.noarch setools-libs-3.3.7-4.el6.x86_64

setools-libs-python-3.3.7-4.el6.x86_64 ruby193-rubygem-spice-html5-rails-0.1.5-1.el6.noarch ruby193-rubygem-text-1.3.0-2.el6.noarch

ruby193-rubygem-quiet_assets-1.0.2-6.el6.noarch ruby193-rubygem-pg-0.12.2-8.el6.x86_64 ruby193-rubygem-jwt-1.2.0-1.el6.noarch

ruby193-rubygem-multipart-post-1.2.0-2.el6.noarch ruby193-rubygem-faraday-0.9.1-1.el6.noarch ruby193-rubygem-signet-0.6.0-1.el6.noarch

ruby193-rubygem-google-api-client-0.8.2-1.el6.noarch ruby193-rubygem-jquery_pwstrength_bootstrap-1.2.2-1.el6.noarch

rubygem-kafo_parsers-0.0.5-1.el6.noarch ruby193-rubygem-select2-rails-3.5.9.3-1.el6.noarch libsemanage-python-2.0.43-5.1.el6.x86_64

policycoreutils-python-2.0.83-24.el6.x86_64 ruby193-rubygem-sshkey-1.6.0-2.el6.noarch ruby193-rubygem-sqlite3-1.3.6-3.el6.x86_64

ruby193-rubygem-locale-2.0.9-8.el6.noarch ruby193-rubygem-gettext-3.1.4-2.el6.noarch rubygem-ansi-1.4.3-2.el6.noarch

rubygem-powerbar-1.0.11-8.el6.noarch rubygem-kafo-0.6.11-1.el6.noarch ruby193-rubygem-gridster-rails-0.1.5-4.el6.noarch

foreman-release-scl-1-1.el6.x86_64 rubygem-net-http-persistent-2.9.4-2.el6.noarch

...and voila! The foreman-rake console test works again, and so does VM creation. Remember to restart foreman/apache :)

#14 - 02/24/2016 12:57 AM - Mitsos Mitsaras

Hello,

I confirm that the same issue exists on the latest version foreman 1.10.1.

When I try to test the connection with vcenter 6, I get a different error:

f = Fog::Compute.new(:provider => "vsphere", :vpshere_username => "Administrator@vsphere", :vsphere_password=> "XXXXX", :vsphere_server =>

"vsphere", :vsphere_expected_pubkey_hash => "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx")

ArgumentError: Missing required arguments: vsphere_username

from /opt/theforeman/tfm/root/usr/share/gems/gems/fog-core-1.32.1/lib/fog/core/service.rb:244:in `validate_options'

from /opt/theforeman/tfm/root/usr/share/gems/gems/fog-core-1.32.1/lib/fog/core/service.rb:268:in `handle_settings'

from /opt/theforeman/tfm/root/usr/share/gems/gems/fog-core-1.32.1/lib/fog/core/service.rb:98:in `new'

from /opt/theforeman/tfm/root/usr/share/gems/gems/fog-core-1.32.1/lib/fog/core/services_mixin.rb:16:in `new'

from /opt/theforeman/tfm/root/usr/share/gems/gems/fog-core-1.32.1/lib/fog/compute.rb:62:in `new'

from (irb):73

from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/commands/console.rb:47:in `start'

from /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/commands/console.rb:8:in `start'

from /usr/share/foreman/lib/tasks/console.rake:3:in `block in <top (required)>'

from /opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:205:in `call'

from /opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:205:in `block in execute'

from /opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:200:in `each'

from /opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:200:in `execute'

from /opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:158:in `block in invoke_with_call_chain'

from /opt/rh/ruby193/root/usr/share/ruby/monitor.rb:211:in `mon_synchronize'

from /opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:151:in `invoke_with_call_chain'

from /opt/rh/ruby193/root/usr/share/ruby/rake/task.rb:144:in `invoke'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:116:in `invoke_task'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `block (2 levels) in top_level'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `each'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:94:in `block in top_level'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:133:in `standard_exception_handling'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:88:in `top_level'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:66:in `block in run'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:133:in `standard_exception_handling'

from /opt/rh/ruby193/root/usr/share/ruby/rake/application.rb:63:in `run'

#15 - 02/28/2016 06:38 AM - Angelo Lisco

Hello everyone.

FYI, I've encountered this same issue with foreman 1.10 but it disappeared when I upgraded my test env to 1.11RC1.

#16 - 02/28/2016 01:38 PM - Mitsos Mitsaras

Hello,

I confirm that upgrading on 1.11RC1 resolves the problem

#17 - 05/21/2016 12:35 PM - Anonymous

- Status changed from New to Closed

Seems to be fixed with 1.11
